decideTests {limma} | R Documentation

## Multiple Testing Across Genes and Contrasts

### Description

Classify a series of related t-statistics as up, down or not significant. A number of different multiple testing schemes are offered which adjust for multiple testing down the genes as well as across contrasts for each gene.

### Usage

    decideTests(object,method="separate",adjust.method="BH",p.value=0.05,lfc=0)

### Arguments

`object` | `MArrayLM` object output from `eBayes` from which the t-statistics may be extracted.
`method` | character string specify how probes and contrasts are to be combined in the multiple testing strategy. Choices are `"separate"`, `"global"`, `"hierarchical"`, `"nestedF"` or any partial string.
`adjust.method` | character string specifying p-value adjustment method. Possible values are `"none"`, `"BH"`, `"fdr"` (equivalent to `"BH"`), `"BY"` and `"holm"`. See `p.adjust` for details.
`p.value` | numeric value between 0 and 1 giving the desired size of the test
`lfc` | minimum log2-fold-change required

### Details

These functions implement multiple testing procedures for determining whether each statistic in a matrix of t-statistics should be considered significantly different from zero. Rows of `tstat` correspond to genes and columns to coefficients or contrasts.

The setting `method="separate"` is equivalent to using `topTable` separately for each coefficient in the linear model fit, and will give the same lists of probes if `adjust.method` is the same. `method="global"` will treat the entire matrix of t-statistics as a single vector of unrelated tests. `method="hierarchical"` adjusts down genes and then across contrasts. `method="nestedF"` adjusts down genes and then uses `classifyTestsF` to classify contrasts as significant or not for the selected genes.

### Value

An object of class `TestResults`. This is essentially a numeric matrix with elements `-1`, `0` or `1` depending on whether each t-statistic is classified as significantly negative, not significant or significantly positive respectively.
If `lfc>0` then contrasts are judged significant only when the log2-fold change is at least this large in absolute value. For example, one might choose `lfc=log2(1.5)` to restrict to 50% changes or `lfc=1` for 2-fold changes. In this case, contrasts must satisfy both the p-value and the fold-change cutoff to be judged significant.

### Author(s)

Gordon Smyth

### See Also

An overview of multiple testing functions is given in 08.Tests.

[Package limma version 2.16.5 Index]